package eu.jonahbauer.chat.bot.database.impl;

import org.jetbrains.annotations.NotNull;

import java.sql.Connection;
import java.sql.SQLException;

public interface Inserter<T extends Record> {
    @SuppressWarnings("unchecked")
    static <T extends Record> @NotNull Inserter<T> get(@NotNull Class<T> type) {
        return (Inserter<T>) InserterFactory.INSTANCE.get(type);
    }

    long insert(@NotNull Connection connection, @NotNull T entity) throws SQLException;
}
