package eu.jonahbauer.chat.bot.database;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class EntityTest {

    public record TestEntity(long id, String foo, String bar) implements Entity<TestEntity> {}
    public record TestEntity2(String foo, String bar, long id) implements Entity<TestEntity2> {}

    @Test
    void withId() {
        assertEquals(new TestEntity(1, "foo", "bar"), new TestEntity(0, "foo", "bar").withId(1));
        assertEquals(new TestEntity2("foo", "bar", 1), new TestEntity2("foo", "bar", 0).withId(1));
    }
}
