package eu.jonahbauer.chat.bot.database;

import eu.jonahbauer.chat.bot.database.impl.Helper;

public interface Entity<T extends Record & Entity<T>> {
    long id();

    @SuppressWarnings("unchecked")
    default T withId(long id) {
        return Helper.getWithId((Class<T>) getClass()).withId((T) this, id);
    }
}
