package eu.jonahbauer.chat.bot.database.impl;

import org.jetbrains.annotations.NotNull;

import java.sql.ResultSet;
import java.sql.SQLException;

public interface Binder<T extends Record> {
    @SuppressWarnings("unchecked")
    static <T extends Record> @NotNull Binder<T> get(@NotNull Class<T> type) {
        return (Binder<T>) BinderFactory.INSTANCE.get(type);
    }

    default @NotNull T bind(@NotNull ResultSet set) throws SQLException {
        return bind(set, "");
    }

    @NotNull T bind(@NotNull ResultSet set, @NotNull String prefix) throws SQLException;
}
